Re: [gentoo-dev] [PATCH] vdr-plugin-2.eclass: add EAPI8 support, EAPI7+ fixes

2021-07-19 Thread Martin Dummer



if there are no more points to discuss, could someone please add a 
review to


https://github.com/gentoo/gentoo/pull/21447

?



One more finding: repoman says

BDEPEND: consider using 'virtual/pkgconfig' instead of 'dev-util/pkgconfig'

I will fix this.







Re: [gentoo-dev] [PATCH] vdr-plugin-2.eclass: add EAPI8 support, EAPI7+ fixes

2021-07-19 Thread Martin Dummer



Am 28.06.21 um 08:18 schrieb Ulrich Mueller:

On Mon, 28 Jun 2021, Martin Dummer wrote:

--- a/eclass/vdr-plugin-2.eclass
+++ b/eclass/vdr-plugin-2.eclass
@@ -76,7 +76,7 @@
  inherit flag-o-matic toolchain-funcs unpacker

This should also inherit strip-linguas.eclass, because strip-linguas is
called in vdr_linguas_support().

Okay, I understand. I did not notice the call to "strip-linguas", and
I'm wondering how this could have worked all the years in the past.

In EAPIs 5 and 6 it inherited it indirectly via eutils. But indeed, in
EAPI 7 I don't see how it could have worked.

Ulrich



Hi,

if there are no more points to discuss, could someone please add a 
review to


https://github.com/gentoo/gentoo/pull/21447

?

Martin





Re: [gentoo-dev] [PATCH] vdr-plugin-2.eclass: add EAPI8 support, EAPI7+ fixes

2021-06-27 Thread Martin Dummer

Am 27.06.21 um 20:57 schrieb Ulrich Mueller:
> [Either your mailer or something on the way has mangled whitespace in
> your patch, which makes it somewhat hard to read.]

Okay... not good, I will add the patchfile as attachment now.

>> --- a/eclass/vdr-plugin-2.eclass
>> +++ b/eclass/vdr-plugin-2.eclass
>> @@ -76,7 +76,7 @@
>>  inherit flag-o-matic toolchain-funcs unpacker
> This should also inherit strip-linguas.eclass, because strip-linguas is
> called in vdr_linguas_support().
>
> Also, while at it, could you remove the useless IUSE="" assignment in
> line 87?

Okay, I understand. I did not notice the call to "strip-linguas", and
I'm wondering how this could have worked all the years in the past.

Unfortunately "pkgcheck" does not report this.

All changes are applied.


Bye

Martin



From a34b8547accafbc8e658d05fd389f5714c35dcb8 Mon Sep 17 00:00:00 2001
From: Martin Dummer 
Date: Sun, 27 Jun 2021 17:05:23 +0200
Subject: [PATCH] vdr-plugin-2.eclass: add EAPI8 support, EAPI7+ fixes

- add EAPI8 support, no changes necessary
- add BDEPEND=pkgconfig
- remove outdated version numbers from (R)DEPEND
- fix calling of pkg-config
- add many "|| die" which should have been here already for EAPI7

Signed-off-by: Martin Dummer 
---
 eclass/vdr-plugin-2.eclass | 57 +-
 1 file changed, 32 insertions(+), 25 deletions(-)

diff --git a/eclass/vdr-plugin-2.eclass b/eclass/vdr-plugin-2.eclass
index 3f3acc41208..6bd3a1fbff0 100644
--- a/eclass/vdr-plugin-2.eclass
+++ b/eclass/vdr-plugin-2.eclass
@@ -73,10 +73,10 @@
 
 [[ ${EAPI} == [5] ]] && inherit multilib
 [[ ${EAPI} == [56] ]] && inherit eutils
-inherit flag-o-matic toolchain-funcs unpacker
+inherit flag-o-matic strip-linguas toolchain-funcs unpacker
 
 case ${EAPI:-0} in
-	5|6|7)
+	5|6|7|8)
 	;;
 	*) die "EAPI ${EAPI} unsupported."
 	;;
@@ -84,8 +84,6 @@ esac
 
 EXPORT_FUNCTIONS pkg_setup src_unpack src_prepare src_compile src_install pkg_postinst pkg_postrm pkg_config
 
-IUSE=""
-
 # Name of the plugin stripped from all vdrplugin-, vdr- and -cvs pre- and postfixes
 VDRPLUGIN="${PN/#vdrplugin-/}"
 VDRPLUGIN="${VDRPLUGIN/#vdr-/}"
@@ -97,10 +95,11 @@ DESCRIPTION="vdr Plugin: ${VDRPLUGIN} (based on vdr-plugin-2.eclass)"
 S="${WORKDIR}/${VDRPLUGIN}-${PV}"
 
 # depend on headers for DVB-driver and vdr-scripts
-DEPEND=">=media-tv/gentoo-vdr-scripts-0.4.2
+BDEPEND="dev-util/pkgconfig"
+DEPEND="media-tv/gentoo-vdr-scripts
 	virtual/linuxtv-dvb-headers"
-RDEPEND=">=media-tv/gentoo-vdr-scripts-0.4.2
-	>=app-eselect/eselect-vdr-0.0.2"
+RDEPEND="media-tv/gentoo-vdr-scripts
+	app-eselect/eselect-vdr"
 
 if [[ "${GENTOO_VDR_CONDITIONAL:-no}" = "yes" ]]; then
 	IUSE="${IUSE} vdr"
@@ -151,7 +150,7 @@ vdr_create_header_checksum_file() {
 	local CHKSUM="header-md5-vdr"
 
 	if [[ -f ${VDR_CHECKSUM_DIR}/header-md5-vdr ]]; then
-		cp "${VDR_CHECKSUM_DIR}/header-md5-vdr" "${CHKSUM}"
+		cp "${VDR_CHECKSUM_DIR}/header-md5-vdr" "${CHKSUM}" || die "Could not copy header-md5-vdr"
 	elif type -p md5sum >/dev/null 2>&1; then
 		(
 			cd "${VDR_INCLUDE_DIR}"
@@ -179,7 +178,8 @@ fix_vdr_libsi_include() {
 	for f; do
 		sed -i "${f}" \
 			-e '/#include/s:"\(.*libsi.*\)":<\1>:' \
-			-e '/#include/s:<.*\(libsi/.*\)>::'
+			-e '/#include/s:<.*\(libsi/.*\)>::' \
+			|| die "sed failed while fixing include of libsi-headers"
 	done
 }
 
@@ -192,7 +192,7 @@ fix_vdr_libsi_include() {
 vdr_patchmakefile() {
 	einfo "Patching Makefile"
 	[[ -e Makefile ]] || die "Makefile of plugin can not be found!"
-	cp Makefile "${WORKDIR}"/Makefile.before
+	cp Makefile "${WORKDIR}"/Makefile.before || die "Failed to copy Makefile"
 
 	# plugin makefiles use VDRDIR in strange ways
 	# assumptions:
@@ -216,14 +216,16 @@ vdr_patchmakefile() {
 		-e '/VDRINCDIR.*=/!s:$(VDRDIR)/include:$(VDRINCDIR):' \
 		\
 		-e 's:-I$(DVBDIR)/include::' \
-		-e 's:-I$(DVBDIR)::'
+		-e 's:-I$(DVBDIR)::' \
+		|| die "sed failed to set \$VDRDIR"
 
 	if ! grep -q APIVERSION Makefile; then
 		ebegin "  Converting to APIVERSION"
 		sed -i Makefile \
 			-e 's:^APIVERSION = :APIVERSION ?= :' \
 			-e 's:$(LIBDIR)/$@.$(VDRVERSION):$(LIBDIR)/$@.$(APIVERSION):' \
-			-e '/VDRVERSION =/a\APIVERSION = $(shell sed -ne '"'"'/define APIVERSION/s/^.*"\\(.*\\)".*$$/\\1/p'"'"' $(VDRDIR)/config.h)'
+			-e '/VDRVERSION =/a\APIVERSION = $(shell sed -ne '"'"'/define APIVERSION/s/^.*"\\(.*\\)".*$$/\\1/p'"'"' $(VDRDIR)/config.h)' \
+			|| die "sed failed to change APIVERSION"
 		eend $?
 	fi
 
@@ -231,13 +233,15 @@ v

[gentoo-dev] [PATCH] vdr-plugin-2.eclass: add EAPI8 support, EAPI7+ fixes

2021-06-27 Thread Martin Dummer
please review and comment.

I will open a github PR for code changes later.


From d5f6916d7fdd194e0c2ab11eea0d48ecb01d122c Mon Sep 17 00:00:00 2001

From: Martin Dummer 
Date: Sun, 27 Jun 2021 17:05:23 +0200
Subject: [PATCH] vdr-plugin-2.eclass: add EAPI8 support, EAPI7+ fixes

- add EAPI8 support, no changes necessary
- add BDEPEND=pkgconfig
- remove outdated version numbers from (R)DEPEND
- fix calling of pkg-config
- add many "|| die" which should have been here already for EAPI7

Signed-off-by: Martin Dummer 
---
 eclass/vdr-plugin-2.eclass | 53 ++
 1 file changed, 31 insertions(+), 22 deletions(-)

diff --git a/eclass/vdr-plugin-2.eclass b/eclass/vdr-plugin-2.eclass
index 3f3acc41208..41e43ff34ee 100644
--- a/eclass/vdr-plugin-2.eclass
+++ b/eclass/vdr-plugin-2.eclass
@@ -76,7 +76,7 @@
 inherit flag-o-matic toolchain-funcs unpacker
 
 case ${EAPI:-0} in
-   5|6|7)
+   5|6|7|8)
    ;;
    *) die "EAPI ${EAPI} unsupported."
    ;;
@@ -97,10 +97,11 @@ DESCRIPTION="vdr Plugin: ${VDRPLUGIN} (based on
vdr-plugin-2.eclass)"
 S="${WORKDIR}/${VDRPLUGIN}-${PV}"
 
 # depend on headers for DVB-driver and vdr-scripts
-DEPEND=">=media-tv/gentoo-vdr-scripts-0.4.2
+BDEPEND="dev-util/pkgconfig"
+DEPEND="media-tv/gentoo-vdr-scripts
    virtual/linuxtv-dvb-headers"
-RDEPEND=">=media-tv/gentoo-vdr-scripts-0.4.2
-   >=app-eselect/eselect-vdr-0.0.2"
+RDEPEND="media-tv/gentoo-vdr-scripts
+   app-eselect/eselect-vdr"
 
 if [[ "${GENTOO_VDR_CONDITIONAL:-no}" = "yes" ]]; then
    IUSE="${IUSE} vdr"
@@ -151,7 +152,7 @@ vdr_create_header_checksum_file() {
    local CHKSUM="header-md5-vdr"
 
    if [[ -f ${VDR_CHECKSUM_DIR}/header-md5-vdr ]]; then
-   cp "${VDR_CHECKSUM_DIR}/header-md5-vdr" "${CHKSUM}"
+   cp "${VDR_CHECKSUM_DIR}/header-md5-vdr" "${CHKSUM}" ||
die "Could not copy header-md5-vdr"
    elif type -p md5sum >/dev/null 2>&1; then
    (
    cd "${VDR_INCLUDE_DIR}"
@@ -179,7 +180,8 @@ fix_vdr_libsi_include() {
    for f; do
    sed -i "${f}" \
    -e '/#include/s:"\(.*libsi.*\)":<\1>:' \
-   -e '/#include/s:<.*\(libsi/.*\)>::'
+   -e '/#include/s:<.*\(libsi/.*\)>::' \
+   || die "sed failed while fixing include of
libsi-headers"
    done
 }
 
@@ -192,7 +194,7 @@ fix_vdr_libsi_include() {
 vdr_patchmakefile() {
    einfo "Patching Makefile"
    [[ -e Makefile ]] || die "Makefile of plugin can not be found!"
-   cp Makefile "${WORKDIR}"/Makefile.before
+   cp Makefile "${WORKDIR}"/Makefile.before || die "Failed to copy
Makefile"
 
    # plugin makefiles use VDRDIR in strange ways
    # assumptions:
@@ -216,14 +218,16 @@ vdr_patchmakefile() {
    -e '/VDRINCDIR.*=/!s:$(VDRDIR)/include:$(VDRINCDIR):' \
    \
    -e 's:-I$(DVBDIR)/include::' \
-   -e 's:-I$(DVBDIR)::'
+   -e 's:-I$(DVBDIR)::' \
+   || die "sed failed to set \$VDRDIR"
 
    if ! grep -q APIVERSION Makefile; then
    ebegin "  Converting to APIVERSION"
    sed -i Makefile \
    -e 's:^APIVERSION = :APIVERSION ?= :' \
    -e
's:$(LIBDIR)/$@.$(VDRVERSION):$(LIBDIR)/$@.$(APIVERSION):' \
-   -e '/VDRVERSION =/a\APIVERSION = $(shell sed -ne
'"'"'/define APIVERSION/s/^.*"\\(.*\\)".*$$/\\1/p'"'"' $(VDRDIR)/config.h)'
+   -e '/VDRVERSION =/a\APIVERSION = $(shell sed -ne
'"'"'/define APIVERSION/s/^.*"\\(.*\\)".*$$/\\1/p'"'"'
$(VDRDIR)/config.h)' \
+   || die "sed failed to change APIVERSION"
    eend $?
    fi
 
@@ -231,13 +235,15 @@ vdr_patchmakefile() {
    # Do not overwrite CXXFLAGS, add LDFLAGS if missing
    sed -i Makefile \
    -e '/^CXXFLAGS[[:space:]]*=/s/=/?=/' \
-   -e '/LDFLAGS/!s:-shared:$(LDFLAGS) -shared:'
+   -e '/LDFLAGS/!s:-shared:$(LDFLAGS) -shared:' \
+   || die "sed failed to fix compile-flags"
 
    # Disabling file stripping, the package manager takes care of it
    sed -i Makefile \
    -e '/@.*strip/d' \
    -e '/strip \$(LIBDIR)\/\$@/d' \
-   -e 's/STRIP.*=.*$/STRIP = true/'
+   -e 's/STRIP.*=.*$/STRIP = true/' \
+   || die "sed failed to fix file stripping"
 
    # Use a file instead of a variable as single-stepping via ebuild
 

Re: [gentoo-dev] Please review changes for vdr-plugin-2.eclass

2021-06-22 Thread Martin Dummer


Am 17.05.21 um 18:11 schrieb Martin Dummer:
> So please take a view on the intended changes to  vdr-plugin-2.eclass -
> add documentation to satisfy pkgcheck.
>
> It is placed here:
>
> https://github.com/gentoo/gentoo/pull/20845
>

Due to very little feedback I post here the intended changes to
vdr-plugin-2.eclass on the dev mailing list.

Please take a look. If some devs with github accounts could add a review
or approval on the pull request, this would be nice.

==

commit b19db356742510f880ab1b2d9840043c95cca768
Author: Martin Dummer 
Date:   2021-05-17 01:15:33 +0200

    vdr-plugin-2.eclass: fix pkgcheck findings in documentation
   
    Add documentation to eclass functions and variables as found by
pkgcheck,
    no functional changes.
   
    pkgcheck reported:
    EclassDocMissingFunc: vdr-plugin-2: undocumented functions: has_vdr,
  vdr-plugin-2_print_enable_command, vdr-plugin-2_src_util,
  vdr_create_header_checksum_file, vdr_create_plugindb_file,
vdr_detect_po_dir,
  vdr_gettext_missing, vdr_i18n, vdr_linguas_support, vdr_patchmakefile
    EclassDocMissingVar: vdr-plugin-2: undocumented variables:
COMMON_DEPEND, VDRPLUGIN
   
    Signed-off-by: Martin Dummer 

diff --git a/eclass/vdr-plugin-2.eclass b/eclass/vdr-plugin-2.eclass
index e2aee26c423..187114438df 100644
--- a/eclass/vdr-plugin-2.eclass
+++ b/eclass/vdr-plugin-2.eclass
@@ -14,6 +14,12 @@
 # @DESCRIPTION:
 # Eclass for easing maintenance of vdr plugin ebuilds
 
+# @ECLASS-VARIABLE: VDRPLUGIN
+# @INTERNAL
+# @DESCRIPTION:
+# The name of the vdr plugin, plain name without "vdr-" or "plugin"
prefix or suffix.
+# This variable is derived from ${PN}
+
 # @ECLASS-VARIABLE: VDR_CONFD_FILE
 # @DEFAULT_UNSET
 # @DESCRIPTION:
@@ -54,28 +60,6 @@
 # PO_SUBDIR="bla foo/bla"
 # @CODE
 
-# @FUNCTION: fix_vdr_libsi_include
-# @DESCRIPTION:
-# Plugins failed on compile with wrong path of libsi includes,
-# this can be fixed by 'function + space separated list of files'
-#
-# Example:
-# @CODE
-# fix_vdr_libsi_include bla.c foo.c
-# @CODE
-
-# @FUNCTION: vdr_remove_i18n_include
-# @DESCRIPTION:
-# Compile will fail if plugin still use the old i18n language handling,
-# most parts are fixed by vdr-plugin-2.eclass internal functions itself.
-# Remove unneeded i18.n includes from files, if they are still wrong there,
-# this can be fixed by 'function + space separated list of files"
-#
-# Example:
-# @CODE
-# vdr_remove_i18n_include bla.n foo.n
-# @CODE
-
 # Applying your own local/user patches:
 # This is done by using the
 # (EAPI = 5) epatch_user() function of the eutils.eclass,
@@ -112,12 +96,10 @@ DESCRIPTION="vdr Plugin: ${VDRPLUGIN} (based on
vdr-plugin-2.eclass)"
 # Works in most cases
 S="${WORKDIR}/${VDRPLUGIN}-${PV}"
 
-# depend on headers for DVB-driver
-COMMON_DEPEND=">=media-tv/gentoo-vdr-scripts-0.4.2"
-
-DEPEND="${COMMON_DEPEND}
+# depend on headers for DVB-driver and vdr-scripts
+DEPEND=">=media-tv/gentoo-vdr-scripts-0.4.2
    virtual/linuxtv-dvb-headers"
-RDEPEND="${COMMON_DEPEND}
+RDEPEND=">=media-tv/gentoo-vdr-scripts-0.4.2
    >=app-eselect/eselect-vdr-0.0.2"
 
 if [[ "${GENTOO_VDR_CONDITIONAL:-no}" = "yes" ]]; then
@@ -126,9 +108,13 @@ if [[ "${GENTOO_VDR_CONDITIONAL:-no}" = "yes" ]]; then
    RDEPEND="vdr? ( ${RDEPEND} )"
 fi
 
+# @FUNCTION: vdr_create_plugindb_file
+# @INTERNAL
+# @USAGE:  [more plugin names]
+# @DESCRIPTION:
 # New method of storing plugindb
-#   Called from src_install
-#   file maintained by normal portage-methods
+# Called from src_install
+# file maintained by normal portage-methods
 vdr_create_plugindb_file() {
    local NEW_VDRPLUGINDB_DIR=/usr/share/vdr/vdrplugin-rebuild/
    local DB_FILE="${NEW_VDRPLUGINDB_DIR}/${CATEGORY}-${PF}"
@@ -151,6 +137,13 @@ vdr_create_plugindb_file() {
    } > "${D%/}/${DB_FILE}"
 }
 
+# @FUNCTION: vdr_create_header_checksum_file
+# @USAGE:
+# @INTERNAL
+# @DESCRIPTION:
+# Create a file with md5 checksums of .h header files of the plugin
being compiled.
+# The checksum files are used to detect if a plugin is compiled against
the current
+# vdr binary.
 vdr_create_header_checksum_file() {
    # Danger: Not using $ROOT here, as compile will also not use it !!!
    # If vdr in $ROOT and / differ, plugins will not run anyway
@@ -175,6 +168,11 @@ vdr_create_header_checksum_file() {
    done
 }
 
+# @FUNCTION: fix_vdr_libsi_include
+# @USAGE:  [more filenames]
+# @DESCRIPTION:
+# Plugins failed on compile with wrong path of libsi includes,
+# this can be fixed by 'function + space separated list of files'
 fix_vdr_libsi_include() {
    eqawarn "Fixing include of libsi-headers"
    local f
@@ -185,6 +183,12 @@ fix_vdr_libsi_inc

[gentoo-dev] Please review changes for vdr-plugin-2.eclass

2021-05-17 Thread Martin Dummer
Hello Devs,

Jörg / "hd_brummy" says every changes on eclasses should be reviewed
here before being committed.

So please take a view on the intended changes to  vdr-plugin-2.eclass -
add documentation to satisfy pkgcheck.

It is placed here:

https://github.com/gentoo/gentoo/pull/20845

Thanks

Martin




Re: [gentoo-dev] Packages up for grabs

2021-03-15 Thread Martin Dummer
Hi,

I can take

> [Bv] net-misc/teamviewer

//madmartin




[gentoo-dev] Last-rites: sys-block/rts_pstor

2020-11-19 Thread Martin Dummer
Hello developers,

can someone please insert the lines below into the tree?
(If I file a github PR, it will probably not able to merge because 
packages.mask changes too quickly) 


# Martin Dummer  (2020-11-20)
# Does not compile with kernels >=5.5, no upstream development
# since years, for most hardware the in-kernel module
# rtsx_pci_sdmmc should be preferred over this driver.
# Bugs #712484 #717184 and #741909. Removal in 30 days.
sys-block/rts_pstor



Thanks,
Martin





Re: [gentoo-dev] [virtualization project] Help needed with libvirt virtualization stack

2020-09-22 Thread Martin Dummer
I can try to keep


app-emulation/virt-manager

app-emulation/virt-viewer


up-to-date. virt-manager-3.0.0 is out since a week.

Greetings

/martin



0xCE5F3E9B6DE05D12.asc
Description: application/pgp-keys


signature.asc
Description: OpenPGP digital signature


Re: [gentoo-dev] Last rites: next batch of py2 packages

2020-09-19 Thread Martin Dummer

On 2020-09-19 16:36, Azamat Hackimov wrote:
> Hello.
>
> сб, 19 сент. 2020 г. в 15:51, Michał Górny :
>> sys-firmware/nvidia-firmware
>>
> Created PR https://github.com/gentoo/gentoo/pull/17600
>

Excellent! Thats an important firmware package, I would have started a
PR also in a few minutes!



0xCE5F3E9B6DE05D12.asc
Description: application/pgp-keys


Re: [gentoo-dev] Packages up for grabs

2020-09-13 Thread Martin Dummer

On 2020-04-14 10:36, Joonas Niilola wrote:
> Hey,
>
> here's a list of packages recently dropped to maintainer-needed due to
> retirement of multiple inactive proxied maintainers.
>
> (b) = open bugs,
> (v) = new version is available.

> app-backup/rear (b,v)
>
Hi,


In the meantime I decided to take over "rear", too. Version bump PR is
filed, but I cannot find other open bugs than "maintainer needed" ?!?


Bye

Martin



0xCE5F3E9B6DE05D12.asc
Description: application/pgp-keys


signature.asc
Description: OpenPGP digital signature


Re: [gentoo-dev] Packages up for grabs

2020-04-14 Thread Martin Dummer
Hello Joonas,


I will take

On 14.04.20 10:36, Joonas Niilola wrote:
> app-admin/passwordsafe (b,v)

if my abiulities are sufficient


CU

Martin



0xCE5F3E9B6DE05D12.asc
Description: application/pgp-keys


signature.asc
Description: OpenPGP digital signature


Re: [gentoo-dev] Last rites: dev-util/electron, app-editors/atom

2020-03-30 Thread Martin Dummer
Am 30.03.20 um 08:55 schrieb Michał Górny:
> # Michał Górny  (2020-03-30)
> # Unmaintained.  Humongous number of vulnerabilities.  Python 2 only.
> # Needs really active maintainer.  app-editors/atom is the only revdep.
> # Removal in 30 days.  Bug #699866.
> dev-util/electron
> app-editors/atom
>
If these two have to leave, you may last-rite
app-eselect/eselect-electron as well


Martin




Re: [gentoo-dev] New acct-* package policy

2020-01-05 Thread Martin Dummer
Am 21.12.19 um 18:32 schrieb Michał Górny:
> Please commit and push uid-gid.txt [3] change to data/api.git *before*
> your packages.  This makes sure that any potential collisions are caught
> as merge conflicts before they hit users.  The CI also catches UID/GID
> collisions.


One remark from a "proxy-maintainer" view:

A proxy-maintainer (like me) cannot commit or add github pull requests for 

https://gitweb.gentoo.org/data/api.git/tree/files/uid-gid.tx

and therefore cannot allocate a valid UID/GID for valid new ebuilds in
pull requests.

So for proxy-maintained packages which need acct-user/acct-group ebuilds
this must be

- either done like before - announcement on the gentoo-dev ML, then
committed by ???

- or done by a member of the proxy-maintainers group.


Maybe you find the time to refine that exception in the documentation.


Bye

Martin





signature.asc
Description: OpenPGP digital signature


[gentoo-dev] RFC: UID/GID assignment for www-misc/vdradmin-am (453/453)

2019-10-24 Thread Martin Dummer
Hello gentoo-dev.

I would like to ask to assign uid/gid 453 for the package
www-misc/vdradmin-am


Martin

(proxy-maintainer)







signature.asc
Description: OpenPGP digital signature


[gentoo-dev] RFC: UID/GID assignment for media-video/vdr (452/452)

2019-10-24 Thread Martin Dummer
Hello gentoo-dev.

I would like to ask to assign uid/gid 452 for the package
media-video/vdr and its many plugins media-plugins/vdr-*


Martin

(proxy-maintainer)




signature.asc
Description: OpenPGP digital signature


Re: [gentoo-dev] Re: EAPI 2 must die

2019-06-20 Thread Martin Dummer
Am 06.06.19 um 17:28 schrieb Anthony G. Basile:
> Didn't we have some "archive" for old ebuilds?  Maybe we can move
> it there.

What about an overlay for this purpose? Its like in real life they
come into life and leave the same way...

Despite that, I usually dig in the git repository when I look for
deleted files et.al. like described here

https://stackoverflow.com/questions/7203515/git-how-to-find-a-deleted-file-in-the-project-commit-history




signature.asc
Description: OpenPGP digital signature


[gentoo-dev] Question about developer/bug assigned person's mail adress (as seen in Bug #453778)

2013-04-02 Thread Martin Dummer
-BEGIN PGP SIGNED MESSAGE-
Hash: SHA1

Hi,

I have a question:

Bug https://bugs.gentoo.org/show_bug.cgi?id=453778 is assigned to
Dustin Polke gentoobugsie.20.dsuraw...@spamgourmet.com

While the bug is easy to fix and close, no action happens.
So I tried to find out whats the meaning of this strange email address.

After a visit to https://spamgourmet.com/ this mail address means that
only the first 20 emails send to this address are forwarded to the
registered user's real mail address. Any further mails are discarded.

Now my question: is this a good behaviour for a developer?

What's your opinion?



Martin
-BEGIN PGP SIGNATURE-
Version: GnuPG v2.0.19 (GNU/Linux)
Comment: Using GnuPG with Thunderbird - http://www.enigmail.net/

iEYEARECAAYFAlFbPnoACgkQrl/4JlwVxHi9xwCg7/03GDd+1Wjf5Ju0PcTnq3ke
l4cAoPZYLxhMN4ibzig0SACAvtF2WZ/k
=aBHl
-END PGP SIGNATURE-



Re: [gentoo-dev] Packages up for grabs

2013-03-23 Thread Martin Dummer
-BEGIN PGP SIGNED MESSAGE-
Hash: SHA1

If I manage one day to achieve the gentoo dev status then I am willing
to pick up maintainership of

 app-laptop/nvidiabl

but until then?
-BEGIN PGP SIGNATURE-
Version: GnuPG v2.0.19 (GNU/Linux)
Comment: Using GnuPG with Thunderbird - http://www.enigmail.net/

iEYEARECAAYFAlFNe0AACgkQrl/4JlwVxHgrpQCgvt/KKljLgGa1WLJJ4zUw4J4X
8XQAoMj9Ovu1a9MA2dunN4y0qS+EGXfE
=AS1h
-END PGP SIGNATURE-